Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class DcwThematicIndex.IndexRecord

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwThematicIndex.IndexRecord

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  DcwThematicIndex

public static class DcwThematicIndex.IndexRecord
extends java.lang.Object
implements java.lang.Comparable

A utility class used to record index records.

Constructor Summary
`DcwThematicIndex.IndexRecord(java.lang.Object index, int offset, int numvals)` Construct an index record

Method Summary
`int` | `compareTo(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DcwThematicIndex.IndexRecord

    public DcwThematicIndex.IndexRecord(java.lang.Object index,
                                        int offset,
                                        int numvals)

  Construct an index record

Parameters:
  `index` - the index object
  `offset` - the offset of the data
  `numvals` - the number of values

Method Detail

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details